Loading...
Searching...
No Matches
juce::ScaledImage Class Reference

## Detailed Description

An image that will be resampled before it is drawn.

A plain Image only stores plain pixels, but does not store any information about how these pixels correspond to points. This means that if the image's dimensions are interpreted as points, then the image will be blurry when drawn on high resolution displays. If the image's dimensions are instead interpreted as corresponding to exact pixel positions, then the logical size of the image will change depending on the scale factor of the screen used to draw it.

The ScaledImage class is designed to store an image alongside a scale factor that informs a renderer how to convert between the image's pixels and points.

The documentation for this class was generated from the following file:

- juce_graphics/images/juce_ScaledImage.h

## Public Member Functions

| ScaledImage ()=default
| Creates a ScaledImage with an invalid image and unity scale.
| ScaledImage (const Image &imageIn)
| Creates a ScaledImage from an Image, where the dimensions of the image in pixels are exactly equal to its dimensions in points.
| ScaledImage (const Image &imageIn, double scaleIn)
| Creates a ScaledImage from an Image, using a custom scale factor.
Image | getImage () const
| Returns the image at its original dimensions.
double | getScale () const
| Returns the image's scale.
Rectangle< double > | getScaledBounds () const
| Returns the bounds of this image expressed in points.

## Constructors and Destructors

## ScaledImage() [1/3]

juce::ScaledImage::ScaledImage | ( |  | ) |

default

Creates a ScaledImage with an invalid image and unity scale.

Referenced by ScaledImage().

## ScaledImage() [2/3]

juce::ScaledImage::ScaledImage | ( | const Image & | imageIn | ) |

inline explicit

Creates a ScaledImage from an Image, where the dimensions of the image in pixels are exactly equal to its dimensions in points.

References ScaledImage().

## ScaledImage() [3/3]

juce::ScaledImage::ScaledImage | ( | const Image & | imageIn,
|  | double | scaleIn )

inline

Creates a ScaledImage from an Image, using a custom scale factor.

A scale of 1.0 means that the image's dimensions in pixels is equal to its dimensions in points.

A scale of 2.0 means that the image contains 2 pixels per point in each direction.

## Member Functions

## getImage()

Image juce::ScaledImage::getImage | ( |  | ) | const

inline

Returns the image at its original dimensions.

## getScale()

double juce::ScaledImage::getScale | ( |  | ) | const

inline

Returns the image's scale.

## getScaledBounds()

Rectangle< double > juce::ScaledImage::getScaledBounds | ( |  | ) | const

inline

Returns the bounds of this image expressed in points.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited